Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455213 - [RFE] Termination script needs to handle flag requestees
Summary: [RFE] Termination script needs to handle flag requestees
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Internal Tools
Version: 3.6
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 485013
Blocks: 474288
TreeView+ depends on / blocked
 
Reported: 2008-07-14 03:43 UTC by Noura El hawary
Modified: 2016-01-05 01:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 485013 (view as bug list)
Environment:
Last Closed: 2015-04-23 07:02:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1008764 None None None Never
Mozilla Foundation 1009406 None None None Never

Description Noura El hawary 2008-07-14 03:43:36 UTC
One other area that also needs coverage in our bugzilla/rt closure script for
employees who leave redhat is to also be able to remove them from the requestee
field of any flag and change the requestee to be their managers.

Noura

Comment 1 David Lawrence 2008-07-14 15:06:13 UTC
FYI, the 2.18 XMLRPC API currently does not support setting requestee from the
bugzilla.updateFlags() method. We could add in that support probably easily
enough before this feature is needed. 

Noura, do you know if the 3.2 Bug.update() call supports setting of
flags/requestees? I can test later and see if it does.

Dave

Comment 2 Noura El hawary 2008-07-15 04:36:23 UTC
> Noura, do you know if the 3.2 Bug.update() call supports setting of
> flags/requestees? I can test later and see if it does.
> 

Looking at the 3.2 code Bug.update doesn't handle the flags update basically the
flags update is handled by separate function called 
Bugzilla::Flag->process($bug, $attachment, $timestamp, $vars);  That function
gets the bugid or the attachment id and the time info then it reads the cgi
string and extracts the flags params from it and does the flags update,
process_bug.cgi basically calls this function to update the flags. 

I guess we can use the code inside that function to do the flags/requestees
update in xmlrpc but we can not use it itself as it relies on the cgi params, I
think upstream must have work towards moving that code into Bug.update i will do
some research.

Noura



Comment 3 David Lawrence 2008-11-24 20:58:51 UTC
Noura is this still an issue with the current code? Did you verify that Bug.update could do this now?

Comment 4 Noura El hawary 2009-02-04 03:34:44 UTC
Tony is looking at implementing this.

Noura

Comment 5 Kevin Baker 2009-03-04 22:56:26 UTC
Tony,

what is the status on this? Has it been moved to bz# 486898?

Please advise

Comment 6 David Lawrence 2010-01-15 16:56:09 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.

Comment 7 David Lawrence 2010-08-25 21:42:19 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 9 Simon Green 2012-06-19 05:37:39 UTC
Kevin: This one is for you :)

  -- simon

Comment 10 Simon Green 2013-01-24 21:13:11 UTC
Taking since I am looking after this script now.

Comment 13 Jason McDonald 2014-01-10 01:53:16 UTC
The upstrea bug was resolved on 2014-01-01.

Comment 14 Simon Green 2014-01-19 23:41:16 UTC
(In reply to Jason McDonald from comment #13)
> The upstrea bug was resolved on 2014-01-01.

Umm, yeah. That isn't the bug I was looking for. We need to be able to change the flag types themselves, not the flags on a bug.

Comment 15 Jason McDonald 2014-03-13 06:51:57 UTC
As well as removing the terminated account from flag requestees on existing bugs, the script should also remove terminated accounts from the list of users who receive notifications of flags requests.

Comment 16 Jason McDonald 2014-05-09 00:35:52 UTC
(In reply to Simon Green from comment #14)
> (In reply to Jason McDonald from comment #13)
> > The upstrea bug was resolved on 2014-01-01.
> 
> Umm, yeah. That isn't the bug I was looking for. We need to be able to
> change the flag types themselves, not the flags on a bug.

Please file a new bug upstream if one doesn't already exist.

Comment 17 Simon Green 2014-05-11 22:41:16 UTC
We need to write the Web service ourself. I'll be doing it upstream, and we can backport it to 4.4 (without the REST stuff).

Eight hours to do the RPC changes, and 1 hour for the changes to the termination script.

  -- simon

Comment 20 Simon Green 2014-06-24 04:44:10 UTC
The code has been approved upstream, but I'm not keen on backporting it. Retargeting.

Comment 21 Jason McDonald 2015-04-23 07:02:49 UTC
This appears to have been implemented in Maitai -- see https://projects.engineering.redhat.com/browse/MAITAI-2718.


Note You need to log in before you can comment on or make changes to this bug.